Update Service Proxy Configuration

Update Service Proxy Configuration
Update HCX Service Proxy Configuration

Updates an existing HCX Service Proxy configuration identified by UUID. Use this to change the proxy endpoint URL or update configuration parameters.

Request
URI
PUT
https://{server}:9443/api/admin/global/config/serviceProxy/{uuid}
COPY
Path Parameters
string
uuid
Required

UUID of the service proxy configuration to update

uuid example
a1b2c3d4-e5f6-7890-abcd-ef1234567890

Request Body
ServiceProxyConfigRequest of type(s) application/json
Required

Show optional properties

{
    "data": {
        "items": [
            {
                "config": {
                    "url": "https://hcx-proxy.customer.com"
                }
            }
        ]
    }
}
{
    "data": {
        "items": [
            {
                "config": {
                    "UUID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
                    "url": "https://hcx-proxy-updated.customer.com"
                }
            }
        ]
    }
}
object
data
Required

data

Authentication
This operation uses the following authentication methods.
Responses
200

Service proxy configuration updated successfully

Returns ServiceProxyGetResponse of type(s) application/json
{
    "data": {
        "items": [
            {
                "section": "hcxServiceProxy",
                "config": {
                    "url": "https://hcx-proxy.customer.com",
                    "UUID": "string"
                }
            }
        ]
    }
}
object
data
Optional

data


400

Bad request - invalid configuration

Returns ErrorResponse of type(s) application/json
{
    "isSuccess": false,
    "message": "Request schema validation failed",
    "httpStatusCode": 400
}
boolean
isSuccess
Required

Indicates if the operation was successful

string
message
Required

Human-readable error message

integer
httpStatusCode
Required

HTTP status code


404

Service proxy configuration with specified UUID not found

Returns ErrorResponse of type(s) application/json
{
    "isSuccess": false,
    "message": "Service proxy configuration not found",
    "httpStatusCode": 404
}
boolean
isSuccess
Required

Indicates if the operation was successful

string
message
Required

Human-readable error message

integer
httpStatusCode
Required

HTTP status code


405

Method not allowed - feature only available on HCX-Connector

Returns ErrorResponse of type(s) application/json
"ErrorResponse Object"
boolean
isSuccess
Required

Indicates if the operation was successful

string
message
Required

Human-readable error message

integer
httpStatusCode
Required

HTTP status code


500

Internal server error

Returns ErrorResponse of type(s) application/json
"ErrorResponse Object"
boolean
isSuccess
Required

Indicates if the operation was successful

string
message
Required

Human-readable error message

integer
httpStatusCode
Required

HTTP status code


Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"data":"object"}' https://{api_host}/api/admin/global/config/serviceProxy/{uuid}